summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-video/avidemux/avidemux-2.6.12-r1.ebuild (renamed from media-video/avidemux/avidemux-2.6.12.ebuild)3
-rw-r--r--media-video/avidemux/avidemux-2.6.15-r1.ebuild (renamed from media-video/avidemux/avidemux-2.6.15.ebuild)4
2 files changed, 7 insertions, 0 deletions
diff --git a/media-video/avidemux/avidemux-2.6.12.ebuild b/media-video/avidemux/avidemux-2.6.12-r1.ebuild
index d305e3d4..6e0ed63a 100644
--- a/media-video/avidemux/avidemux-2.6.12.ebuild
+++ b/media-video/avidemux/avidemux-2.6.12-r1.ebuild
@@ -60,6 +60,9 @@ src_prepare() {
# Now rename the desktop file to not collide with 2.5.
mv ${PN}2.desktop ${PN}-2.6.desktop || die "Collision rename failed."
+ # Fix underlinking to work with gold linker
+ sed -i -e 's/\( ADM_core6\)/ Xext\1/' avidemux/common/ADM_render/CMakeLists.txt || die "Couldn't fix underlinking"
+
# Remove "Build Option" dialog because it doesn't reflect what the GUI can or has been built with. (Bug #463628)
sed -i -e '/Build Option/d' avidemux/common/ADM_commonUI/myOwnMenu.h || die "Couldn't remove \"Build Option\" dialog."
eapply_user
diff --git a/media-video/avidemux/avidemux-2.6.15.ebuild b/media-video/avidemux/avidemux-2.6.15-r1.ebuild
index e82fdb70..3226c752 100644
--- a/media-video/avidemux/avidemux-2.6.15.ebuild
+++ b/media-video/avidemux/avidemux-2.6.15-r1.ebuild
@@ -66,6 +66,10 @@ src_prepare() {
# Remove "Build Option" dialog because it doesn't reflect what the GUI can or has been built with. (Bug #463628)
sed -i -e '/Build Option/d' avidemux/common/ADM_commonUI/myOwnMenu.h || die "Couldn't remove \"Build Option\" dialog."
+
+ # Fix underlinking to work with gold linker
+ sed -i -e 's/\( ADM_core6\)/ Xext\1/' avidemux/common/ADM_render/CMakeLists.txt || die "Couldn't fix underlinking"
+
eapply_user
}